Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(441)

Issue 320570044: ticket:13073 Adding API for setting custom compact data, for CLDR Survey Tool. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 1 week ago by sffc
Modified:
1 week ago
Reviewers:
andy.heninger, mark
Base URL:
svn+icussh://source.icu-project.org/repos/icu/trunk/
Visibility:
Public.

Description

ticket:13073 Adding API for setting custom compact data, for CLDR Survey Tool.

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+129 lines, -3 lines) Patch
M icu4j/main/classes/core/src/com/ibm/icu/impl/number/Properties.java View 9 chunks +19 lines, -2 lines 0 comments Download
M icu4j/main/classes/core/src/com/ibm/icu/impl/number/formatters/CompactDecimalFormat.java View 3 chunks +69 lines, -1 line 0 comments Download
M icu4j/main/tests/core/src/com/ibm/icu/dev/test/format/CompactDecimalFormatTest.java View 2 chunks +25 lines, -0 lines 0 comments Download
M icu4j/main/tests/core/src/com/ibm/icu/dev/test/number/PropertiesTest.java View 2 chunks +16 lines, -0 lines 0 comments Download

Messages

Total messages: 12
sffc
Prepared by Mark's request for CLDR Survey Tool
1 month, 1 week ago (2017-05-12 20:38:58 UTC) #1
sffc
On 2017/05/12 20:38:58, sffc wrote: > Prepared by Mark's request for CLDR Survey Tool Note: ...
1 month, 1 week ago (2017-05-12 20:40:25 UTC) #2
mark_macchiato.com
Thanks for jumping on this. Looks good except for one question I have. Is CompactDecimalFingerprint ...
1 month, 1 week ago (2017-05-12 20:45:57 UTC) #3
sffc
On 2017/05/12 20:45:57, mark_macchiato.com wrote: > Thanks for jumping on this. > > Looks good ...
1 month, 1 week ago (2017-05-12 21:17:32 UTC) #4
mark_macchiato.com
On Fri, May 12, 2017 at 2:17 PM, <sffc@google.com> wrote: > CompactDecimalFingerprint ​So will passing ...
1 month, 1 week ago (2017-05-12 21:19:54 UTC) #5
sffc
I don't understand the question? If you set the new compactCustomData property to null, you ...
1 month, 1 week ago (2017-05-12 21:26:54 UTC) #6
mark_macchiato.com
Sorry, user error. I was looking at the following, but that is not relevant. (too ...
1 month, 1 week ago (2017-05-12 21:31:29 UTC) #7
mark_macchiato.com
So LGTM on the change. Mark On Fri, May 12, 2017 at 2:31 PM, Mark ...
1 month, 1 week ago (2017-05-12 21:33:26 UTC) #8
andy.heninger
LGTM
1 month, 1 week ago (2017-05-12 21:46:31 UTC) #9
sffc
On 2017/05/12 21:46:31, andy.heninger wrote: > LGTM Committed as r40117.
1 month, 1 week ago (2017-05-12 21:50:54 UTC) #10
mark_macchiato.com
It turns out there is one further thing we need, which is the ability to ...
1 month, 1 week ago (2017-05-17 01:03:56 UTC) #11
sffc
1 month, 1 week ago (2017-05-17 02:25:43 UTC) #12
https://codereview.appspot.com/320590043/

On Tue, May 16, 2017 at 6:03 PM, Mark Davis ☕️ <mark@macchiato.com> wrote:

> It turns out there is one further thing we need, which is the ability to
> set the PluralRules. See http://unicode.org/cldr/trac/ticket/10291.
>
> This is not a blocker for the General Submission, but we should fix it in
> the next week. Is that something you could add?
>
> Mark
>
> On Fri, May 12, 2017 at 2:50 PM, <sffc@google.com> wrote:
>
>> On 2017/05/12 21:46:31, andy.heninger wrote:
>>
>>> LGTM
>>>
>>
>> Committed as r40117.
>>
>> https://codereview.appspot.com/320570044/
>>
>
>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted